package net.pokeranalytics.android.ui.activity

import android.content.Context
import android.content.Intent
import android.os.Bundle
import androidx.fragment.app.Fragment
import net.pokeranalytics.android.R
import net.pokeranalytics.android.calculus.Calculator
import net.pokeranalytics.android.ui.activity.components.PokerAnalyticsActivity
import net.pokeranalytics.android.ui.activity.components.RequestCode

class ReportCreationActivity : PokerAnalyticsActivity() {

	companion object {

		var options: Calculator.Options? = null

		fun newInstanceForResult(fragment: Fragment, context: Context) {
			val intent = Intent(context, ReportCreationActivity::class.java)
			fragment.startActivityForResult(intent, RequestCode.NEW_REPORT.value)
		}
	}

	override fun onCreate(savedInstanceState: Bundle?) {
		super.onCreate(savedInstanceState)
		setContentView(R.layout.activity_report_creation)
	}

}